Name:          clojure-maven-plugin
Version:       1.3.3
Release:       %mkrel 1
Summary:       Apache Maven Mojo for compiling clojure scripts to class files
Group:         Development/Java
License:       EPL 1.0
Url:           https://github.com/talios/clojure-maven-plugin/
# git clone git://github.com/talios/clojure-maven-plugin.git
# cd clojure-maven-plugin/ && git archive --format=tar --prefix=clojure-maven-plugin-1.3.3/ clojure-maven-plugin-1.3.3 | xz > clojure-maven-plugin-1.3.3.tar.xz
Source0:       clojure-maven-plugin-1.3.3.tar.xz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-exec
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: fest-assert
BuildRequires: fest-parent
BuildRequires: junit4
BuildRequires: mockito

BuildRequires: maven2
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-toolchain
BuildRequires: maven-surefire-provider-junit4

BuildRequires: plexus-compiler

Requires:      apache-commons-exec
Requires:      apache-commons-io
Requires:      apache-commons-lang
Requires:      maven-toolchain
Requires:      plexus-compiler

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Maven plugin for compiling clojure source files.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n clojure-maven-plugin-%{version}

%build

mvn-rpmbuild -e install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.markdown epl-v10.html

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Nov 12 2011 gil <gil> 1.3.3-1.mga2
+ Revision: 166865
- update to 1.3.3
- imported package clojure-maven-plugin

